Robot Simulator of the Robotics Group for Self-Organization of Control: IMutationStrategy Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IMutationStrategy Class Reference

This interface gives the structur for the mutation of a gen. More...

`#include <IMutationStrategy.h>`

Inherited by ValueMutationStrategy.

Inheritance diagram for IMutationStrategy:

[legend]
List of all members.

## Public Member Functions
| IMutationStrategy ()
| default constructor
virtual | ~IMutationStrategy ()
| default destructor
virtual Gen * | mutate (GenContext *context, Individual *individual, Gen *oldGen, GenContext *oldContext, SingletonGenFactory *factory)=0
| mutate a gen
virtual int | getMutationProbability (void)=0
| gives the Probability of a mutation back.

## Detailed Description

This interface gives the structur for the mutation of a gen.

## Constructor & Destructor Documentation

IMutationStrategy | ( |  | ) |

default constructor

~IMutationStrategy | ( |  | ) | `[virtual]`

default destructor

## Member Function Documentation

virtual int getMutationProbability | ( | void |  | ) | `[pure virtual]`

gives the Probability of a mutation back.

Returns:

Implemented in ValueMutationStrategy.

virtual Gen* mutate | ( | GenContext * | context,
|  | Individual * | individual,
|  | Gen * | oldGen,
|  | GenContext * | oldContext,
|  | SingletonGenFactory * | factory |
| ) |  |  | `[pure virtual]`

mutate a gen

Parameters:

  | context | (GenContext*) the context in which the new gen comes (needed by the factory
  | individual | (Individual*) the individual, which the new gen becomes
  | oldGen | (Gen*) the old gen, which mutate
  | oldContext | (GenContext*) the Context in which the old gen are.
  | factory | (SingletonGenFactory*) the GenFactory which create the new gen.

Returns:
  (Gen*) the new mutated gen

Implemented in ValueMutationStrategy.

The documentation for this class was generated from the following files:

- IMutationStrategy.h
- IMutationStrategy.cpp